package com.zjrs.ggfw.portal.po;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 信访事项提出
 * </p>
 *
 * @author jobob
 * @since 2020-12-08
 */
@TableName("V_RS_WB_XFSXTC")
@ApiModel(value="RsWbXfsxtc对象", description="信访事项提出")
public class VRsWbXfsxtc {

    @ApiModelProperty(value = "主键")
    @TableId(value = "RS_WB_XFSXTC_LSH", type = IdType.ASSIGN_UUID)
    private String rsWbXfsxtcLsh;

    @ApiModelProperty(value = "办件流水号")
    @TableField("RS_WB_BJ_LSH")
    private String rsWbBjLsh;

    @ApiModelProperty(value = "姓名")
    @TableField("XM")
    private String xm;

    @ApiModelProperty(value = "性别")
    @TableField("XB")
    private String xb;

    @ApiModelProperty(value = "身份证号码")
    @TableField("SFZHM")
    private String sfzhm;

    @ApiModelProperty(value = "联系电话")
    @TableField("LXDH")
    private String lxdh;

    @ApiModelProperty(value = "联系地址")
    @TableField("LXDZ")
    private String lxdz;

    @ApiModelProperty(value = "户籍所在地")
    @TableField("HJSZD")
    private String hjszd;

    @ApiModelProperty(value = "现居住地")
    @TableField("XJZD")
    private String xjzd;

    @ApiModelProperty(value = "职业")
    @TableField("ZY")
    private String zy;

    @ApiModelProperty(value = "是否就同一问题反映过")
    @TableField("SFFYG")
    private String sffyg;

    @ApiModelProperty(value = "最近一次到访部门")
    @TableField("ZJYCDFBM")
    private String zjycdfbm;

    @ApiModelProperty(value = "最近一次到访部门所在地")
    @TableField("ZJYCDFBMSZD")
    private String zjycdfbmszd;

    @ApiModelProperty(value = "最近一次到访时间")
    @TableField("ZJYCDFSJ")
    private String zjycdfsj;

    @ApiModelProperty(value = "单位名称")
    @TableField("DWMC")
    private String dwmc;

    @ApiModelProperty(value = "单位属性")
    @TableField("DWSX")
    private String dwsx;

    @ApiModelProperty(value = "单位地址")
    @TableField("DWDZ")
    private String dwdz;

    @ApiModelProperty(value = "单位联系人")
    @TableField("DWLXR")
    private String dwlxr;

    @ApiModelProperty(value = "单位联系电话")
    @TableField("DWLXDH")
    private String dwlxdh;

    @ApiModelProperty(value = "反映问题性质")
    @TableField("FYWTXZ")
    private String fywtxz;

    @ApiModelProperty(value = "反映主要问题及诉求")
    @TableField("FYZYWTSQ")
    private String fyzywtsq;

    @ApiModelProperty(value = "来访人数")
    @TableField("LFRS")
    private String lfrs;

    @ApiModelProperty(value = "来访日期")
    @TableField("LFSJ")
    private String lfsj;

	public String getRsWbXfsxtcLsh() {
		return rsWbXfsxtcLsh;
	}

	public void setRsWbXfsxtcLsh(String rsWbXfsxtcLsh) {
		this.rsWbXfsxtcLsh = rsWbXfsxtcLsh;
	}

	public String getRsWbBjLsh() {
		return rsWbBjLsh;
	}

	public void setRsWbBjLsh(String rsWbBjLsh) {
		this.rsWbBjLsh = rsWbBjLsh;
	}

	public String getXm() {
		return xm;
	}

	public void setXm(String xm) {
		this.xm = xm;
	}

	public String getXb() {
		return xb;
	}

	public void setXb(String xb) {
		this.xb = xb;
	}

	public String getSfzhm() {
		return sfzhm;
	}

	public void setSfzhm(String sfzhm) {
		this.sfzhm = sfzhm;
	}

	public String getLxdh() {
		return lxdh;
	}

	public void setLxdh(String lxdh) {
		this.lxdh = lxdh;
	}

	public String getLxdz() {
		return lxdz;
	}

	public void setLxdz(String lxdz) {
		this.lxdz = lxdz;
	}

	public String getHjszd() {
		return hjszd;
	}

	public void setHjszd(String hjszd) {
		this.hjszd = hjszd;
	}

	public String getXjzd() {
		return xjzd;
	}

	public void setXjzd(String xjzd) {
		this.xjzd = xjzd;
	}

	public String getZy() {
		return zy;
	}

	public void setZy(String zy) {
		this.zy = zy;
	}

	public String getSffyg() {
		return sffyg;
	}

	public void setSffyg(String sffyg) {
		this.sffyg = sffyg;
	}

	public String getZjycdfbm() {
		return zjycdfbm;
	}

	public void setZjycdfbm(String zjycdfbm) {
		this.zjycdfbm = zjycdfbm;
	}

	public String getZjycdfbmszd() {
		return zjycdfbmszd;
	}

	public void setZjycdfbmszd(String zjycdfbmszd) {
		this.zjycdfbmszd = zjycdfbmszd;
	}

	public String getZjycdfsj() {
		return zjycdfsj;
	}

	public void setZjycdfsj(String zjycdfsj) {
		this.zjycdfsj = zjycdfsj;
	}

	public String getDwmc() {
		return dwmc;
	}

	public void setDwmc(String dwmc) {
		this.dwmc = dwmc;
	}

	public String getDwsx() {
		return dwsx;
	}

	public void setDwsx(String dwsx) {
		this.dwsx = dwsx;
	}

	public String getDwdz() {
		return dwdz;
	}

	public void setDwdz(String dwdz) {
		this.dwdz = dwdz;
	}

	public String getDwlxr() {
		return dwlxr;
	}

	public void setDwlxr(String dwlxr) {
		this.dwlxr = dwlxr;
	}

	public String getDwlxdh() {
		return dwlxdh;
	}

	public void setDwlxdh(String dwlxdh) {
		this.dwlxdh = dwlxdh;
	}

	public String getFywtxz() {
		return fywtxz;
	}

	public void setFywtxz(String fywtxz) {
		this.fywtxz = fywtxz;
	}

	public String getFyzywtsq() {
		return fyzywtsq;
	}

	public void setFyzywtsq(String fyzywtsq) {
		this.fyzywtsq = fyzywtsq;
	}

	public String getLfrs() {
		return lfrs;
	}

	public void setLfrs(String lfrs) {
		this.lfrs = lfrs;
	}

	public String getLfsj() {
		return lfsj;
	}

	public void setLfsj(String lfsj) {
		this.lfsj = lfsj;
	}

}
